/*
 * This file was generated by qdbusxml2cpp version 0.7
 * Command line was: qdbusxml2cpp -l Oscl::Qt::DBus::BlueZ::Mesh::ProvisionAgent1::Server -i server.h -a adaptor dbus.xml
 *
 * qdbusxml2cpp is Copyright (C) 2015 The Qt Company Ltd.
 *
 * This is an auto-generated file.
 * Do not edit! All changes made to it will be lost.
 */

#include "adaptor.h"
#include <QtCore/QMetaObject>
#include <QtCore/QByteArray>
#include <QtCore/QList>
#include <QtCore/QMap>
#include <QtCore/QString>
#include <QtCore/QStringList>
#include <QtCore/QVariant>

/*
 * Implementation of adaptor class ProvisionAgent1Adaptor
 */

ProvisionAgent1Adaptor::ProvisionAgent1Adaptor(Oscl::Qt::DBus::BlueZ::Mesh::ProvisionAgent1::Server *parent)
    : QDBusAbstractAdaptor(parent)
{
    // constructor
    setAutoRelaySignals(true);
}

ProvisionAgent1Adaptor::~ProvisionAgent1Adaptor()
{
    // destructor
}

QStringList ProvisionAgent1Adaptor::capabilities() const
{
    // get the value of property Capabilities
    return qvariant_cast< QStringList >(parent()->property("Capabilities"));
}

QStringList ProvisionAgent1Adaptor::outOfBandInfo() const
{
    // get the value of property OutOfBandInfo
    return qvariant_cast< QStringList >(parent()->property("OutOfBandInfo"));
}

QString ProvisionAgent1Adaptor::uRI() const
{
    // get the value of property URI
    return qvariant_cast< QString >(parent()->property("URI"));
}

void ProvisionAgent1Adaptor::Cancel()
{
    // handle method call org.bluez.mesh.ProvisionAgent1.Cancel
    parent()->Cancel();
}

void ProvisionAgent1Adaptor::DisplayNumeric(const QString &type, uint number)
{
    // handle method call org.bluez.mesh.ProvisionAgent1.DisplayNumeric
    parent()->DisplayNumeric(type, number);
}

void ProvisionAgent1Adaptor::DisplayString(const QString &value)
{
    // handle method call org.bluez.mesh.ProvisionAgent1.DisplayString
    parent()->DisplayString(value);
}

QByteArray ProvisionAgent1Adaptor::PrivateKey()
{
    // handle method call org.bluez.mesh.ProvisionAgent1.PrivateKey
    return parent()->PrivateKey();
}

uint ProvisionAgent1Adaptor::PromptNumeric(const QString &type)
{
    // handle method call org.bluez.mesh.ProvisionAgent1.PromptNumeric
    return parent()->PromptNumeric(type);
}

QByteArray ProvisionAgent1Adaptor::PromptStatic(const QString &type)
{
    // handle method call org.bluez.mesh.ProvisionAgent1.PromptStatic
    return parent()->PromptStatic(type);
}

QByteArray ProvisionAgent1Adaptor::PublicKey()
{
    // handle method call org.bluez.mesh.ProvisionAgent1.PublicKey
    return parent()->PublicKey();
}

